summaryrefslogtreecommitdiff
path: root/pcr/python2-argparse
diff options
context:
space:
mode:
authoraurelien <aurelien@cwb.io>2012-11-15 10:12:55 +0100
committeraurelien <aurelien@cwb.io>2012-11-15 10:12:55 +0100
commit0cd9adb532064d3784120e8ef2df1631d83b96fb (patch)
tree760701073c0487ae60b88d8c3b5de601cd2af76e /pcr/python2-argparse
parentc0ac35ad0f06c2e9a9f1263caea279cb9f8fc423 (diff)
+ python2-cheetah (i686) python-prettytable (any) python2-argparse (any)
Diffstat (limited to 'pcr/python2-argparse')
-rw-r--r--pcr/python2-argparse/PKGBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/pcr/python2-argparse/PKGBUILD b/pcr/python2-argparse/PKGBUILD
new file mode 100644
index 000000000..cda95c0e2
--- /dev/null
+++ b/pcr/python2-argparse/PKGBUILD
@@ -0,0 +1,25 @@
+# Contributor: Lukas Linhart <bugs@almad.net>
+# Contributor: Changaco <changaco ατ changaco δοτ net>
+# Contributor: Nicolas Pouillard <nicolas.pouillard@gmail.com>
+# Maintainer : Parabola GNU / Linux-libre Aurelien Desbrieres <aurelien@cwb.io>
+
+pkgname=python2-argparse
+pkgver=1.2.1
+pkgrel=1
+pkgdesc="Command line parsing library for python"
+arch=('any')
+url='http://code.google.com/p/argparse/'
+conflicts=('argparse')
+license=('Apache')
+depends=('python2')
+makedepends=('setuptools')
+source=("http://argparse.googlecode.com/files/argparse-$pkgver.tar.gz")
+
+# While python 2.7 has a builtin argparse module,
+# packages built with setuptools still needs this one.
+
+build() {
+ cd ${srcdir}/argparse-$pkgver
+ python2 setup.py build || return 1
+ python2 setup.py install --root=${pkgdir} || return 1
+}